Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I had to downgrade Xorg from 1.13 to 1.12 in order to use the fglrx-legacy but it (fglrx-legacy) didn't work for me neither fglrx. So, is it possible to upgrade Xorg back to 1.13? and how?

share|improve this question
    
Welcome to Ask Ubuntu! How did you downgrade to 1.12 in the first place? Please edit your question with this information. –  gertvdijk Jan 18 '13 at 23:23

1 Answer 1

Install Synaptic package manager, find xorg-server package with ppa version 1.12, then from menu choose 'force version', and select 'ubuntu-updates'. After all, you'll loose all the system, but that's repairable: in terminal, type

sudo apt-get install ubuntu-desktop

Have fun! :-)

share|improve this answer
    
You mean quantal-updates I guess? And this will only work if he indeed used a PPA (which is not necessarily the case). Also, the package ubuntu-desktop is probably already installed and this command won't do anything in such a case... –  gertvdijk Jan 19 '13 at 23:51
    
On my system, forcing standard xorg-server package in Synaptic deletes all video drivers also. 'ubuntu-desktop' package restored all of them. That is because xorg-server has lot of dependants. –  avesus Jan 20 '13 at 12:48

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.